> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/transfer-orders.md).

# Transfer Orders

transferOrders

## GET /transferOrders/{orderId}/printPicklist

> print TransferOrderPicklist

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferOrders","description":"transferOrders"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/transferOrders/{orderId}/printPicklist":{"get":{"tags":["transferOrders"],"summary":"print TransferOrderPicklist","description":null,"parameters":[{"schema":{"type":"string"},"name":"orderId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## list TransferOrderItemReceipt

> View to get ShipmentReceipt records for Transfer Order Items.\
> &#x20;           This view is being used in the Receiving App to show the history of receipts for an item per datetimeReceived.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferOrders","description":"transferOrders"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.shipment.TransferOrderItemReceipt":{"title":"Transfer Order Item Receipt","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.shipment.TransferOrderItemReceipt"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"datetimeReceived":{"type":"string","format":"date-time"},"quantityAccepted":{"type":"number"},"quantityRejected":{"type":"number"},"receivedByUserLoginId":{"type":"string"},"productStoreId":{"type":"string"},"productId":{"type":"string"},"quantity":{"type":"number"}}}}},"paths":{"/transferOrders/{orderId}/receipts":{"get":{"tags":["transferOrders"],"summary":"list TransferOrderItemReceipt","description":"View to get ShipmentReceipt records for Transfer Order Items.\n            This view is being used in the Receiving App to show the history of receipts for an item per datetimeReceived.","parameters":[{"schema":{"type":"string"},"name":"orderId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"orderItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"datetimeReceived","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityAccepted","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityRejected","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"receivedByUserLoginId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productStoreId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productId","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantity","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.shipment.TransferOrderItemReceipt"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## receive TransferOrder

> Service to receive Transfer Order Items.\
> &#x20;           This will handle scenarios of receiving existing and/or new product in the Transfer Order.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferOrders","description":"transferOrders"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.TransferOrderFulfillmentServices.receiveTransferOrder.Out":{"type":"object","properties":{"orderStatusIds":{"type":"array","items":{"type":"string"}},"receiptIds":{"type":"array","items":{"type":"string"}}}},"co.hotwax.poorti.TransferOrderFulfillmentServices.receiveTransferOrder.In":{"type":"object","properties":{"orderId":{"type":"string","description":"The ID of the Transfer Order in OMS."},"facilityId":{"type":"string","description":"The ID of the facility in OMS where Transfer Order is being received."},"receivedDateTime":{"type":"string","format":"date-time","description":"The date time at which the Transfer Order is being received in OMS.","default":"{ec.user.nowTimestamp}"},"shipmentId":{"type":"string","description":"The exact Transfer Order Shipment to receive, when known."},"items":{"type":"array","description":"The list of order items to be received.","items":{"type":"object","properties":{"orderItemSeqId":{"type":"string","description":"The Seq ID of the Transfer Order Item in OMS."},"productId":{"type":"string","description":"The ID of the product in OMS for the Transfer Order Item."},"quantityAccepted":{"type":"number","description":"The quantity of the item to be received."},"quantityRejected":{"type":"number","description":"The quantity of the item rejected while receiving."},"shipmentItemSeqId":{"type":"string","description":"The exact Shipment Item to receive, when known."},"statusId":{"type":"string","description":"The status Id for the Transfer Order Item."}}}}},"required":["orderId","facilityId","items"]}}},"paths":{"/transferOrders/{orderId}/receipts":{"post":{"tags":["transferOrders"],"summary":"receive TransferOrder","description":"Service to receive Transfer Order Items.\n            This will handle scenarios of receiving existing and/or new product in the Transfer Order.","parameters":[{"schema":{"type":"string"},"name":"orderId","in":"path","required":true,"description":"The ID of the Transfer Order in OMS."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.receiveTransferOrder.Out"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.receiveTransferOrder.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.receiveTransferOrder.In"}}},"required":true}}}}}
```

## reject TransferOrder

> Service to reject the Transfer Order.\
> &#x20;           The Transfer Order will be moved to REJECTED\_ITM\_PARKING facility and the reservations will be cancelled.\
> &#x20;           The Inventory Variance will be logged as per handling in reject#OrderItem oms service.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferOrders","description":"transferOrders"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.TransferOrderFulfillmentServices.rejectTransferOrder.In":{"type":"object","properties":{"orderId":{"type":"string"},"rejectToFacilityId":{"type":"string","description":"The ID of the rejected facility of the Transfer Order in OMS.","default":"REJECTED_ITM_PARKING"},"items":{"type":"array","description":"The list of order items to be received.","items":{"type":"object","properties":{"orderItemSeqId":{"type":"string","description":"The Seq ID of the Transfer Order Item in OMS."},"rejectionReasonId":{"type":"string","description":"The rejection reason ID of the Transfer Order Item in OMS."}}}}},"required":["orderId","items"]}}},"paths":{"/transferOrders/{orderId}/reject":{"post":{"tags":["transferOrders"],"summary":"reject TransferOrder","description":"Service to reject the Transfer Order.\n            The Transfer Order will be moved to REJECTED_ITM_PARKING facility and the reservations will be cancelled.\n            The Inventory Variance will be logged as per handling in reject#OrderItem oms service.","parameters":[{"schema":{"type":"string"},"name":"orderId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.rejectTransferOrder.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.rejectTransferOrder.In"}}},"required":true}}}}}
```

## close TransferOrderItemFulfillment

> Service to close Transfer Order Item Fulfillment.\
> &#x20;           This will set the OrderItem.cancelQuantity for the remaining quantity to be fulfilled if any, cancel\
> &#x20;           the remaining reservations and set the item status to the next eligible Item Status based on the statusFlowId\
> &#x20;           associated with the Transfer Order i.e. either ITEM\_COMPLETED or ITEM\_PENDING\_RECEIPT for TO\_Fulfill\_Only\
> &#x20;           and TO\_Fulfill\_And\_Receive orders respectively.\
> &#x20;           If the item is not yet shipped i.e. 0 quantity fulfilled, the item will be Cancelled in that scenario.\
> &#x20;           The Order Status will be updated according to the item status change.\
> &#x20;           Each newly cancelled quantity is also recorded as an ODR\_ITM\_CANCEL OrderItemChange, which is where item-level\
> &#x20;           consumers such as the Shopify transfer update sync read cancellations from. Closing an item again cancels\
> &#x20;           nothing new and records no second change.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferOrders","description":"transferOrders"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.poorti.TransferOrderFulfillmentServices.closeTransferOrderItemFulfillment.In":{"type":"object","properties":{"orderId":{"type":"string","description":"The ID of the Transfer Order in OMS."},"items":{"type":"array","description":"The list of order items to be closed for fulfillment.","items":{"type":"object","properties":{"orderItemSeqId":{"type":"string","description":"The Seq ID of the Transfer Order Item in OMS."}}}}},"required":["orderId","items"]}}},"paths":{"/transferOrders/{orderId}/closeFulfillment":{"post":{"tags":["transferOrders"],"summary":"close TransferOrderItemFulfillment","description":"Service to close Transfer Order Item Fulfillment.\n            This will set the OrderItem.cancelQuantity for the remaining quantity to be fulfilled if any, cancel\n            the remaining reservations and set the item status to the next eligible Item Status based on the statusFlowId\n            associated with the Transfer Order i.e. either ITEM_COMPLETED or ITEM_PENDING_RECEIPT for TO_Fulfill_Only\n            and TO_Fulfill_And_Receive orders respectively.\n            If the item is not yet shipped i.e. 0 quantity fulfilled, the item will be Cancelled in that scenario.\n            The Order Status will be updated according to the item status change.\n            Each newly cancelled quantity is also recorded as an ODR_ITM_CANCEL OrderItemChange, which is where item-level\n            consumers such as the Shopify transfer update sync read cancellations from. Closing an item again cancels\n            nothing new and records no second change.","parameters":[{"schema":{"type":"string"},"name":"orderId","in":"path","required":true,"description":"The ID of the Transfer Order in OMS."}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.closeTransferOrderItemFulfillment.In"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.poorti.TransferOrderFulfillmentServices.closeTransferOrderItemFulfillment.In"}}},"required":true}}}}}
```

## list TransferOrderMisShippedReceipt

> View to get the Transfer Order Shipment Receipts for the items that were mis-shipped and received with the order.\
> &#x20;           These items are products that were not shipped on the TO and so need to be received into NetSuite as an inventory adjustment.

```json
{"openapi":"3.1.1","info":{"title":"Poorti API","version":"1.0.0"},"tags":[{"name":"transferOrders","description":"transferOrders"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/poorti"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.shipment.TransferOrderMisShippedReceipt":{"title":"Transfer Order Mis Shipped Receipt","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.shipment.TransferOrderMisShippedReceipt"},"orderName":{"type":"string"},"orderExternalId":{"type":"string"},"statusFlowId":{"type":"string"},"orderDate":{"type":"string","format":"date-time"},"entryDate":{"type":"string","format":"date-time"},"receiptId":{"type":"string"},"inventoryItemId":{"type":"string"},"productId":{"type":"string"},"shipmentId":{"type":"string"},"shipmentItemSeqId":{"type":"string"},"shipmentPackageSeqId":{"type":"string"},"orderId":{"type":"string"},"orderItemSeqId":{"type":"string"},"returnId":{"type":"string"},"returnItemSeqId":{"type":"string"},"rejectionId":{"type":"string"},"receivedByUserLoginId":{"type":"string"},"datetimeReceived":{"type":"string","format":"date-time"},"itemDescription":{"type":"string"},"quantityAccepted":{"type":"number"},"quantityRejected":{"type":"number"}}}}},"paths":{"/transferOrders/{orderId}/misShippedItems":{"get":{"tags":["transferOrders"],"summary":"list TransferOrderMisShippedReceipt","description":"View to get the Transfer Order Shipment Receipts for the items that were mis-shipped and received with the order.\n            These items are products that were not shipped on the TO and so need to be received into NetSuite as an inventory adjustment.","parameters":[{"schema":{"type":"string"},"name":"orderId","in":"path","required":true,"description":null},{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"orderName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderExternalId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"statusFlowId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"orderDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"entryDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"receiptId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"inventoryItemId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"productId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shipmentId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shipmentItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"shipmentPackageSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"orderItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"returnId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"returnItemSeqId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"rejectionId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"receivedByUserLoginId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"datetimeReceived","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"itemDescription","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityAccepted","in":"query","required":false,"description":null},{"schema":{"type":"number","format":""},"name":"quantityRejected","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.shipment.TransferOrderMisShippedReceipt"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/fulfillment/transfer-orders.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
